glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gio::ResourceError Class Reference

Exception class for resource file handling errors. More...

`#include <giomm/resource.h>`

Inheritance diagram for Gio::ResourceError:
[legend]

## Public Types

enum | Code { NOT_FOUND, INTERNAL }

## Public Member Functions

| ResourceError (Code error_code, const Glib::ustring& error_message)
| ResourceError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark domain, int code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
virtual | ~Error () throw ()
GQuark | domain () const
int | code () const
virtual Glib::ustring | what () const
bool | matches (GQuark domain, int code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception ()=0 throw ()

## Additional Inherited Members

Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for resource file handling errors.

## Member Enumeration Documentation

enum Gio::ResourceError::Code

Enumerator:

  NOT_FOUND |
  INTERNAL |

## Constructor & Destructor Documentation

Gio::ResourceError::ResourceError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Gio::ResourceError::ResourceError | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

Code Gio::ResourceError::code | ( |  | ) | const